System.Gadget.onSettingsClosing = SettingsClosing;
        
// Initialize settings.
function LoadSettings()
{
  txt_radar_station.value = System.Gadget.Settings.readString("radar_station");
  txt_location_lat.value = System.Gadget.Settings.readString("location_lat");
  txt_location_lon.value = System.Gadget.Settings.readString("location_lon");
  txt_large_width.value = System.Gadget.Settings.read("large_width");
  txt_large_height.value = System.Gadget.Settings.read("large_height");
}

// Settings closing
function SettingsClosing(event)
{
  // OK pressed
  if (event.closeAction == event.Action.commit)
  {
    if(txt_radar_station.value.length == 3){
      System.Gadget.Settings.writeString("radar_station", txt_radar_station.value.toUpperCase());
    }

    new_location_lat = txt_location_lat.value;
    if(new_location_lat.charCodeAt(new_location_lat.length-1) == 176){
      new_location_lat = new_location_lat.substring(0, (new_location_lat.length-1) );
    }
    if(!isNaN(new_location_lat)){
      System.Gadget.Settings.writeString("location_lat", new_location_lat);
    }
    new_location_lon = txt_location_lon.value;
    if(new_location_lon.charCodeAt(new_location_lon.length-1) == 176){
      new_location_lon = new_location_lon.substring(0, (new_location_lon.length-1) );
    }
    if(!isNaN(new_location_lon)){
      System.Gadget.Settings.writeString("location_lon", new_location_lon);
    }

    if(!isNaN(txt_large_width.value)){
      System.Gadget.Settings.write("large_width", txt_large_width.value);
    }
    if(!isNaN(txt_large_height.value)){
      System.Gadget.Settings.write("large_height", txt_large_height.value);
    }
  }
}
